<br><br><div class="gmail_quote">On Mon, Jun 7, 2010 at 10:20 PM, Charles R Harris <span dir="ltr">&lt;<a href="mailto:charlesr.harris@gmail.com">charlesr.harris@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<br><br><div class="gmail_quote"><div><div></div><div class="h5">On Mon, Jun 7, 2010 at 5:55 AM, Ralf Gommers <span dir="ltr">&lt;<a href="mailto:ralf.gommers@googlemail.com" target="_blank">ralf.gommers@googlemail.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<br><br><div class="gmail_quote"><div>On Mon, Jun 7, 2010 at 7:34 PM, Neil Crighton <span dir="ltr">&lt;<a href="mailto:neilcrighton@gmail.com" target="_blank">neilcrighton@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">


<div>Ralf Gommers &lt;ralf.gommers &lt;at&gt; <a href="http://googlemail.com" target="_blank">googlemail.com</a>&gt; writes:<br>
<br>
&gt;  I&#39;m pleased to announce the first beta release of SciPy<br>
&gt; 0.8.0.SciPy is a package of tools for science and engineering<br>
&gt; for Python.It includes modules for statistics, optimization,<br>
</div>&gt; integration, linearalgebra, Fourier transforms, signal and<br>
<div>&gt; image processing, ODE solvers, and more.This beta release comes<br>
&gt; almost one and a half year after the 0.7.0 release andcontains<br>
&gt; many new features, numerous bug-fixes, improved testcoverage,<br>
&gt; and better documentation.  Please note that SciPy 0.8.0b1<br>
&gt; requires Python 2.4 or greater and NumPy 1.4.1 or greater.<br>
<br>
</div>Thanks for getting the beta out!<br>
<br>
The release notes say Numpy 1.3 or greater is needed - is this<br>
correct? Above you say 1.4.1 is needed.</blockquote></div><div><br>No, 1.4.1 is needed. Notes are fixed now.<br> <br></div><div><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">


 I think &quot;support for<br>
Python 3 in Scipy might not yet be included in Scipy 0.8&quot; is too<br>
ambiguous. Just say 0.8 will not be compatible with Python 3, but<br>
we expect the next version (0.9?) to be compatible, if that&#39;s the<br>
case.<br>
<br></blockquote></div><div>Reworded as: <br>&quot;Python 3 compatibility is planned and is currently technically<br>feasible, since Numpy has been ported. However, since the Python 3<br>compatible Numpy 2.0 has not been released yet, support for Python 3<br>


in Scipy is not yet included in Scipy 0.8.  SciPy 0.9, planned for fall <br>2010, will very likely include experimental support for Python 3.&quot;<br><br></div></div></blockquote></div></div><div><br>Are we going to release a Numpy 1.5?</div>
</div></blockquote><div><br>Yes. Guess I should reread such a paragraph a few times before committing.<br><br>The only reason I&#39;ve not made a 1.5 branch yet is I will only have time for a numpy release cycle at or towards the end of this scipy release cycle. Saves some backporting. If you think it&#39;d be useful to do it now please let me know.<br>
 <br></div><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;"><div class="gmail_quote"><div> Also, the beta release should be noted on the SciPy home page.</div>
</div></blockquote><div><br>Done. For the previous releases I put only the final release there. Maybe good to announce beta/rc releases but then just update the announcement instead of adding new items each time. It&#39;s a small sidebar after all.<br>
 <br></div><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;"><div class="gmail_quote"><div> Maybe adding such notes needs to be part of the how-to-release checklist since it tends to be forgotten.<br>
</div></div></blockquote><div><br>The <a href="http://scipy.org">scipy.org</a> announcement is in there. I&#39;ll add a &quot;check the release notes for ...&quot; item.<br><br><br>Here is my checklist of things to do before 0.8.0rc1. I&#39;m traveling (without computer) for the next week, so if anyone wants to tackle any of these items, that would be be very helpful.<br>
- remove stuff in <a href="http://scipy.io">scipy.io</a> as explained in 0.7.0 release notes<br>- fix paver dmg task to include docs<br>- add sphinxext to tarballs?<br>- check numscons works<br>- SSE instruction ticket: <a href="http://projects.scipy.org/scipy/ticket/1170">http://projects.scipy.org/scipy/ticket/1170</a><br>
- linalg.qr: <a href="http://projects.scipy.org/scipy/ticket/243">http://projects.scipy.org/scipy/ticket/243</a><br>- windows crash: <a href="http://projects.scipy.org/scipy/ticket/1102">http://projects.scipy.org/scipy/ticket/1102</a><br>
- invalid 2.6 syntax: <a href="http://projects.scipy.org/scipy/ticket/1193">http://projects.scipy.org/scipy/ticket/1193</a><br><br><br>Cheers,<br>Ralf<br><br></div></div>